Index: XIOS/trunk/doc/XIOS_reference_guide.lyx
===================================================================
--- XIOS/trunk/doc/XIOS_reference_guide.lyx	(revision 1622)
+++ XIOS/trunk/doc/XIOS_reference_guide.lyx	(revision 1623)
@@ -2003,6 +2846,6 @@
 
 \begin_layout Standard
-Define the value of the latitude on the local domain.
- For a cartesian and a curvilinear grid, the size of the array will be 
+Defines the latitude values of a local domain.
+ For cartesian and curvilinear grids the array size should be 
 \begin_inset Flex Strong
 status collapsed
@@ -2019,10 +2862,63 @@
 
 .
- This attribute is mandatory.
  Only latvalue_1d or latvalue_2d can be defined.
-\end_layout
-
-\begin_layout Subsection*
-nvertex: 
+ Also the layout of latitude and longitude should be in conformance with
+ each other: either 1D or 2D.
+\end_layout
+
+\begin_layout Subsection*
+lon_name (optional): 
+\begin_inset Flex Emph
+status collapsed
+
+\begin_layout Plain Layout
+string
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Fortran: 
+\end_layout
+
+\begin_layout LyX-Code
+CHARACTER(LEN=*) :: lon_name
+\end_layout
+
+\begin_layout Standard
+Defines the longitude name as it will appear in an output file.
+\end_layout
+
+\begin_layout Subsection*
+lat_name (optional): 
+\begin_inset Flex Emph
+status collapsed
+
+\begin_layout Plain Layout
+string
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Fortran: 
+\end_layout
+
+\begin_layout LyX-Code
+CHARACTER(LEN=*) :: lat_name
+\end_layout
+
+\begin_layout Standard
+Defines the latitude name as it will appear in an output file.
+\end_layout
+
+\begin_layout Subsection*
+nvertex (optional): 
 \emph on
 integer
@@ -2038,11 +2934,11 @@
 
 \begin_layout Standard
-Define the the maximum number of vertices for a cell.
- This is useful to specify the boundaries of cells for an unstructured mesh.
- This attribute is optional.
-\end_layout
-
-\begin_layout Subsection*
-bounds_lon_1d: 
+Defines the maximum number of vertices for a grid.
+ The attribute is required for specifying the cell boundaries of unstructured
+ meshes.
+\end_layout
+
+\begin_layout Subsection*
+bounds_lon_1d (optional): 
 \emph on
 2D-array of double
@@ -2058,5 +2954,6 @@
 
 \begin_layout Standard
-Longitude value of the vertex of the cells.
+Defines the longitude values of domain vertexes.
+ The attribute 
 \begin_inset Flex Strong
 status collapsed
@@ -2068,10 +2965,14 @@
 \end_inset
 
- attribute must also be defined.
- This attribute is optional.
-\end_layout
-
-\begin_layout Subsection*
-bounds_lon_2d: 
+ must be also defined.
+ The array dimensions must be 
+\begin_inset Formula $\textbf{nvertex}\times\textbf{ni}$
+\end_inset
+
+.
+\end_layout
+
+\begin_layout Subsection*
+bounds_lon_2d (optional): 
 \emph on
 3D-array of double
@@ -2087,5 +2988,6 @@
 
 \begin_layout Standard
-Longitude value of the vertex of the cells.
+Defines the longitude values of domain vertexes.
+ The attribute 
 \begin_inset Flex Strong
 status collapsed
@@ -2097,12 +2999,16 @@
 \end_inset
 
- attribute must also be defined.
- This attribute is optional.
+ must be also defined.
  This attribute is useful when lonvalue_2d is defined.
- Only bounds_lon_1d or bounds_lon_2d can be defined.
-\end_layout
-
-\begin_layout Subsection*
-bounds_lat_1d: 
+ The array dimensions must be 
+\begin_inset Formula $\textbf{nvertex}\times\textbf{ni}\times\textbf{nj}$
+\end_inset
+
+.
+ Either bounds_lon_1d or bounds_lon_2d can be defined.
+\end_layout
+
+\begin_layout Subsection*
+bounds_lat_1d (optional): 
 \emph on
 2D-array of double
@@ -2118,5 +3024,6 @@
 
 \begin_layout Standard
-Latitude value of the vertex of the cells.
+Defines the latitude values of domain vertexes.
+ The attribute 
 \begin_inset Flex Strong
 status collapsed
@@ -2128,10 +3035,14 @@
 \end_inset
 
- attribute must also be defined.
- This attribute is optional.
-\end_layout
-
-\begin_layout Subsection*
-bounds_lat_2d: 
+ must be also defined.
+ The array dimensions must be 
+\begin_inset Formula $\textbf{nvertex}\times\textbf{ni}$
+\end_inset
+
+.
+\end_layout
+
+\begin_layout Subsection*
+bounds_lat_2d (optional): 
 \emph on
 3D-array of double
@@ -2147,5 +3058,6 @@
 
 \begin_layout Standard
-Latitude value of the vertex of the cells.
+Defines the latitude values of domain vertexes.
+ The attribute 
 \begin_inset Flex Strong
 status collapsed
@@ -2157,12 +3069,70 @@
 \end_inset
 
- attribute must also be defined.
- This attribute is optional.
- This attribute is useful when latvalue_2d is defined.
- Only bounds_lat_1d or bounds_lat_2d can be defined.
-\end_layout
-
-\begin_layout Subsection*
-area: 
+ must be also defined.
+ The attribute is useful when lonvalue_2d is defined.
+ The array dimensions must be 
+\begin_inset Formula $\textbf{nvertex}\times\textbf{ni}\times\textbf{nj}$
+\end_inset
+
+.
+ Either bounds_lon_1d or bounds_lon_2d can be defined.
+\end_layout
+
+\begin_layout Subsection*
+bounds_lon_name (optional): 
+\begin_inset Flex Emph
+status collapsed
+
+\begin_layout Plain Layout
+string
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Fortran: 
+\end_layout
+
+\begin_layout LyX-Code
+CHARACTER(LEN=*) :: lon_name
+\end_layout
+
+\begin_layout Standard
+Defines the longitude name of domain vertexes as it will appear in an output
+ file.
+\end_layout
+
+\begin_layout Subsection*
+bounds_lat_name (optional): 
+\begin_inset Flex Emph
+status collapsed
+
+\begin_layout Plain Layout
+string
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Fortran: 
+\end_layout
+
+\begin_layout LyX-Code
+CHARACTER(LEN=*) :: lat_name
+\end_layout
+
+\begin_layout Standard
+Defines the latitude name of domain vertexes as it will appear in an output
+ file.
+\end_layout
+
+\begin_layout Subsection*
+area (optional): 
 \emph on
 2D-array of double
@@ -2178,5 +3148,5 @@
 
 \begin_layout Standard
-Area of the cells.
+The area of cells.
  The size of the array must be 
 \begin_inset Flex Strong
@@ -2194,9 +3164,8 @@
 
 .
- This attribute is optional.
-\end_layout
-
-\begin_layout Subsection*
-data_dim: 
+\end_layout
+
+\begin_layout Subsection*
+prec (optional): 
 \emph on
 integer
@@ -2208,20 +3177,31 @@
 
 \begin_layout LyX-Code
+INTEGER :: prec
+\end_layout
+
+\begin_layout Standard
+Defines the precision in bytes of domain attributes.
+ Available values are: 2 (integer), 4 (float single precision) and 8 (float
+ double precision).
+ The default value of 8.
+\end_layout
+
+\begin_layout Subsection*
+data_dim (optional): 
+\emph on
+integer
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
 INTEGER :: datadim
 \end_layout
 
 \begin_layout Standard
-Define how a field is stored on memory for the client code.
- 
-\begin_inset Flex Strong
-status collapsed
-
-\begin_layout Plain Layout
-datadim
-\end_layout
-
-\end_inset
-
- value can be 
+Defines how a field is stored on memory for the client code.
+ The value can be either 
 \begin_inset Flex Strong
 status collapsed
@@ -2244,5 +3224,5 @@
 
 .
- A value of 
+ The value of 
 \begin_inset Flex Strong
 status collapsed
@@ -2254,7 +3234,6 @@
 \end_inset
 
- indicates that the horizontal layer of the field is stored on a 1D array
- as a vector of points.
- A value of 
+ indicates that the horizontal layer of the field is stored as a 1D array.
+ The value of 
 \begin_inset Flex Strong
 status collapsed
@@ -2266,6 +3245,5 @@
 \end_inset
 
- indicates that the horizontal layer is stored in a 2D array.
- This attribute is optional.
+ indicates that the horizontal layer is stored as a 2D array.
  The default value is 
 \begin_inset Flex Strong
@@ -2282,5 +3260,5 @@
 
 \begin_layout Subsection*
-data_ibegin:
+data_ibegin (optional):
 \emph on
  integer
@@ -2296,7 +3274,7 @@
 
 \begin_layout Standard
-Define the beginning index of the field data for the first dimension.
- This attribute is an offset regarding the local domain, so the value can
- be negative.
+Defines the beginning index of field data for the first dimension.
+ This attribute is an offset relative to the local domain, so the value
+ can be negative.
  A negative value indicates that only some valid part of the data will extracted
 , for example in the case of a ghost cell.
@@ -2304,6 +3282,6 @@
  stored in memory.
  A 0-value means that the local domain matches the data in memory.
- This attribute is optional and the default value is 0.
- Otherwise 
+ The default value is 0.
+ The attributes 
 \begin_inset Flex Strong
 status collapsed
@@ -2329,5 +3307,5 @@
 
 \begin_layout Subsection*
-data_ni: 
+data_ni (optional): 
 \emph on
 integer
@@ -2343,6 +3321,6 @@
 
 \begin_layout Standard
-Define the size of the field data for the first dimension.
- This attribute is optional and the default value is 
+Defines the size of field data for the first dimension.
+ The default value is 
 \begin_inset Flex Strong
 status collapsed
@@ -2355,5 +3333,5 @@
 
 .
- Otherwise 
+ The attributes 
 \begin_inset Flex Strong
 status collapsed
@@ -2379,5 +3357,5 @@
 
 \begin_layout Subsection*
-data_jbegin: 
+data_jbegin (optional): 
 \emph on
 integer
@@ -2393,6 +3371,6 @@
 
 \begin_layout Standard
-Define the beginning index of the field data for the second dimension.
- This attribute is take account only if
+Defines the beginning index of field data for the second dimension.
+ The attribute is taken into account only if
 \begin_inset Flex Strong
 status collapsed
@@ -2405,5 +3383,5 @@
 
 .
- This attribute is an offset regarding the local domain, so the value can
+ The attribute is an offset relative to the local domain, so the value can
  be negative.
  A negative value indicate that only some valid part of the data will extracted,
@@ -2411,6 +3389,6 @@
  A positive value indicate that the local domain is greater than the data
  stored in memory.
- A 0-value means that the local domain match the data in memory.
- This attribute is optional and the default value is 
+ The 0-value means that the local domain matches the data in memory.
+ The default value is 
 \begin_inset Flex Strong
 status collapsed
@@ -2423,5 +3401,5 @@
 
 .
- Otherwise 
+ The attributes 
 \begin_inset Flex Strong
 status collapsed
@@ -2447,5 +3425,5 @@
 
 \begin_layout Subsection*
-data_nj: 
+data_nj (optional): 
 \emph on
 integer
@@ -2461,6 +3439,6 @@
 
 \begin_layout Standard
-Define the size of the field data for the second dimension.
- This attribute is taken account only if 
+Defines the size of field data for the second dimension.
+ The attribute is taken account only if 
 \begin_inset Flex Strong
 status collapsed
@@ -2473,5 +3451,5 @@
 
 .
- This attribute is optional and the default value is 
+ The default value is 
 \begin_inset Flex Strong
 status collapsed
@@ -2484,5 +3462,5 @@
 
 .
- Otherwise 
+ The attributes 
 \begin_inset Flex Strong
 status collapsed
@@ -2508,5 +3486,5 @@
 
 \begin_layout Subsection*
-data_i_index: 
+data_i_index (optional): 
 \emph on
 1D-array of integer
@@ -2522,12 +3500,12 @@
 
 \begin_layout Standard
-In case of a compressed horizontal domain, define the indexation the indexation
- of the data for the first dimension.
- The size of the array must be 
-\begin_inset Flex Strong
-status collapsed
-
-\begin_layout Plain Layout
-data_nindex
+In case of a compressed horizontal domain, define the data indexation for
+ the first dimension.
+ The array size must be 
+\begin_inset Flex Strong
+status collapsed
+
+\begin_layout Plain Layout
+data_n
 \end_layout
 
@@ -2535,9 +3513,8 @@
 
 .
- This attribute is optional.
-\end_layout
-
-\begin_layout Subsection*
-data_j_index: 
+\end_layout
+
+\begin_layout Subsection*
+data_j_index (optional): 
 \emph on
 1D-array of integer
@@ -2553,7 +3530,7 @@
 
 \begin_layout Standard
-In case of a compressed horizontal domain, define the indexation the indexation
- of the data for the second dimension.
- This is meaningful only if 
+In case of a compressed horizontal domain, defines the data indexation for
+ the second dimension.
+ The attribute is meaningful only if 
 \begin_inset Flex Strong
 status collapsed
@@ -2566,9 +3543,8 @@
 
 .
- This attribute is optional.
-\end_layout
-
-\begin_layout Subsection*
-mask_1d: 
+\end_layout
+
+\begin_layout Subsection*
+mask_1d (optional): 
 \emph on
 1D-array of bool
@@ -2584,7 +3560,5 @@
 
 \begin_layout Standard
-Define the 1-dimension mask of the local domain.
- The attribute is optional.
- By default, none value is masked.
+Defines the 1D mask of a local domain.
  The masked value will be replaced by the value of the field attribute 
 \begin_inset Flex Strong
@@ -2597,11 +3571,11 @@
 \end_inset
 
- in the output file.
+ in an output file.
  This value is useful in case a field is stored linearly in memory.
- This attribute is optional.
-\end_layout
-
-\begin_layout Subsection*
-mask_2d: 
+ By default none of the values are masked.
+\end_layout
+
+\begin_layout Subsection*
+mask_2d (optional): 
 \emph on
 2D-array of bool
@@ -2617,8 +3591,7 @@
 
 \begin_layout Standard
-Define the mask of the local domain.
- The attribute is optional.
- By default, none value is masked.
- The masked value will be replaced by the value of the field attribute 
+Defines the 2D mask of a local domain.
+ The masked values will be replaced by the value of the field attribute
+ 
 \begin_inset Flex Strong
 status collapsed
@@ -2630,10 +3603,11 @@
 \end_inset
 
- in the output file.
+ in an output file.
+ By default, none of the values are masked.
  Only mask_2d or mask_1d can be defined.
 \end_layout
 
 \begin_layout Subsection*
-domain_ref: string
+domain_ref (optional): string
 \end_layout
 
@@ -2647,14 +3621,13 @@
 
 \begin_layout Standard
-Define the reference of the domain.
+Defines the reference to a domain.
  All attributes are inherited from the referenced domain with the classic
  inheritance mechanism.
  The value assigned to the referenced domain is transmitted to to current
  domain.
- This attribute is optional.
-\end_layout
-
-\begin_layout Subsection*
-i_index: 
+\end_layout
+
+\begin_layout Subsection*
+i_index (optional): 
 \begin_inset Flex Emph
 status collapsed
@@ -2678,8 +3651,7 @@
 
 \begin_layout Standard
-Define the global index of the first dimension of domain which the local
- domain holds.
- This attribute is optional and by default, the size of the array is equal
- to 
+Defines the global index of the first dimension of a local domain held by
+ a process.
+ By default the size of the array is equal to 
 \begin_inset Flex Strong
 status collapsed
@@ -2695,5 +3667,5 @@
 
 \begin_layout Subsection*
-j_index: 
+j_index (optional): 
 \begin_inset Flex Emph
 status collapsed
@@ -2717,8 +3689,7 @@
 
 \begin_layout Standard
-Define the global index of the second dimension of domain which the local
- domain holds.
- This attribute is optional and by default, the size of the array is equal
- to 
+Defines the global index of the second dimension of a local domain held
+ by a process.
+ By default the size of the array is equal to 
 \begin_inset Flex Strong
 status collapsed
@@ -2731,4 +3702,30 @@
 
 .
+\end_layout
+
+\begin_layout Subsection*
+comment (optional): 
+\begin_inset Flex Emph
+status collapsed
+
+\begin_layout Plain Layout
+string
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Fortran: 
+\end_layout
+
+\begin_layout LyX-Code
+CHARACTER(LEN=*) :: comment
+\end_layout
+
+\begin_layout Standard
+Allows a user to set a comment.
 \end_layout
 
@@ -2738,5 +3735,5 @@
 
 \begin_layout Subsection*
-name: string
+name (optional): string
 \end_layout
 
@@ -2750,11 +3747,9 @@
 
 \begin_layout Standard
-Define the name of the grid.
- This attribute is actually not used internally.
- Optional attribute.
-\end_layout
-
-\begin_layout Subsection*
-description: string
+Defines the name of a grid.
+\end_layout
+
+\begin_layout Subsection*
+description (optional): string
 \end_layout
 
@@ -2768,10 +3763,9 @@
 
 \begin_layout Standard
-Define the description of the grid.
- This attribute is optional.
-\end_layout
-
-\begin_layout Subsection*
-mask_1d: 
+Defines the descriptions of a grid.
+\end_layout
+
+\begin_layout Subsection*
+mask_1d (optional): 
 \emph on
 1D-array of bool
@@ -2787,6 +3781,6 @@
 
 \begin_layout Standard
-Define the mask of the local 1-dimension grid.
- Masked value will be replaced by the value of the field attribute 
+Defines the mask of a local 1D grid.
+ Masked values will be replaced by the value of the field attribute 
 \begin_inset Flex Strong
 status collapsed
@@ -2798,11 +3792,10 @@
 \end_inset
 
- in the output file.
- This attribute is optional.
- By default, none value is masked.
-\end_layout
-
-\begin_layout Subsection*
-mask_2d: 
+ in an output file.
+ By default none of the value are masked.
+\end_layout
+
+\begin_layout Subsection*
+mask_2d (optional): 
 \emph on
 2D-array of bool
@@ -2818,6 +3811,6 @@
 
 \begin_layout Standard
-Define the mask of the local 2-dimension grid.
- Masked value will be replaced by the value of the field attribute 
+Defines the mask of a local 2D grid.
+ Masked values will be replaced by the value of the field attribute 
 \begin_inset Flex Strong
 status collapsed
@@ -2829,11 +3822,10 @@
 \end_inset
 
- in the output file.
- This attribute is optional.
- By default, none value is masked.
-\end_layout
-
-\begin_layout Subsection*
-mask_3d: 
+ in an output file.
+ By default none of the value are masked.
+\end_layout
+
+\begin_layout Subsection*
+mask_3d (optional): 
 \emph on
 3D-array of bool
@@ -2849,6 +3841,6 @@
 
 \begin_layout Standard
-Define the mask of the local 3-dimension grid.
- Masked value will be replaced by the value of the field attribute 
+Define the mask of a local 3D grid.
+ Masked values will be replaced by the value of the field attribute 
 \begin_inset Flex Strong
 status collapsed
@@ -2860,8 +3852,152 @@
 \end_inset
 
- in the output file.
- This attribute is optional.
- By default, none value is masked.
- Only one mask can be defined.
+ in an output file.
+ By default none of the value are masked.
+\end_layout
+
+\begin_layout Subsection*
+mask_4d (optional): 
+\emph on
+4D-array of bool
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+LOGICAL :: mask_4d(:,:,:)
+\end_layout
+
+\begin_layout Standard
+Define the mask of a local 4D grid.
+ Masked values will be replaced by the value of the field attribute 
+\begin_inset Flex Strong
+status collapsed
+
+\begin_layout Plain Layout
+default_value
+\end_layout
+
+\end_inset
+
+ in an output file.
+ By default none of the value are masked.
+\end_layout
+
+\begin_layout Subsection*
+mask_5d (optional): 
+\emph on
+5D-array of bool
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+LOGICAL :: mask_5d(:,:,:)
+\end_layout
+
+\begin_layout Standard
+Define the mask of a local 5D grid.
+ Masked values will be replaced by the value of the field attribute 
+\begin_inset Flex Strong
+status collapsed
+
+\begin_layout Plain Layout
+default_value
+\end_layout
+
+\end_inset
+
+ in an output file.
+ By default none of the value are masked.
+\end_layout
+
+\begin_layout Subsection*
+mask_6d (optional): 
+\emph on
+6D-array of bool
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+LOGICAL :: mask_6d(:,:,:)
+\end_layout
+
+\begin_layout Standard
+Define the mask of a local 6D grid.
+ Masked values will be replaced by the value of the field attribute 
+\begin_inset Flex Strong
+status collapsed
+
+\begin_layout Plain Layout
+default_value
+\end_layout
+
+\end_inset
+
+ in an output file.
+ By default none of the value are masked.
+\end_layout
+
+\begin_layout Subsection*
+mask_7d (optional): 
+\emph on
+7D-array of bool
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+LOGICAL :: mask_7d(:,:,:)
+\end_layout
+
+\begin_layout Standard
+Define the mask of a local 7D grid.
+ Masked values will be replaced by the value of the field attribute 
+\begin_inset Flex Strong
+status collapsed
+
+\begin_layout Plain Layout
+default_value
+\end_layout
+
+\end_inset
+
+ in an output file.
+ By default none of the value are masked.
+\end_layout
+
+\begin_layout Subsection*
+comment (optional): 
+\begin_inset Flex Emph
+status collapsed
+
+\begin_layout Plain Layout
+string
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Fortran: 
+\end_layout
+
+\begin_layout LyX-Code
+CHARACTER(LEN=*) :: comment
+\end_layout
+
+\begin_layout Standard
+Allows a user to set a comment.
 \end_layout
 
@@ -2871,5 +4007,5 @@
 
 \begin_layout Subsection*
-name: 
+name (optional): 
 \emph on
 string
@@ -2885,16 +4021,5 @@
 
 \begin_layout Standard
-Define the 
-\begin_inset Flex Strong
-status collapsed
-
-\begin_layout Plain Layout
-name
-\end_layout
-
-\end_inset
-
- of the field as it will appear in an output file.
- This attribute is optional.
+Defines the name of a field as it will appear in an output file.
  If not present, the identifier 
 \begin_inset Flex Strong
@@ -2911,5 +4036,5 @@
 
 \begin_layout Subsection*
-standard_name: 
+standard_name (optional): 
 \emph on
 string
@@ -2925,5 +4050,5 @@
 
 \begin_layout Standard
-Define the 
+Defines the 
 \begin_inset Flex Strong
 status collapsed
@@ -2936,9 +4061,8 @@
 
  attribute as it will appear in the metadata of an output file.
- This attribute is optional.
-\end_layout
-
-\begin_layout Subsection*
-long_name: 
+\end_layout
+
+\begin_layout Subsection*
+long_name (optional): 
 \emph on
 string
@@ -2954,20 +4078,9 @@
 
 \begin_layout Standard
-Define the 
-\begin_inset Flex Strong
-status collapsed
-
-\begin_layout Plain Layout
-long_name
-\end_layout
-
-\end_inset
-
- attribute as it will appear in the metadata of an output file.
- This attribute is optional.
-\end_layout
-
-\begin_layout Subsection*
-unit: 
+Defines the long name as it will appear in the metadata of an output file.
+\end_layout
+
+\begin_layout Subsection*
+expr (optional): 
 \emph on
 string
@@ -2979,26 +4092,53 @@
 
 \begin_layout LyX-Code
+CHARACTER(LEN=*) :: expr
+\end_layout
+
+\begin_layout Standard
+Defines the expression for arithmetic or time-integration operations performed
+ on a field.
+ For example if 
+\series bold
+expr=
+\begin_inset Quotes erd
+\end_inset
+
+sqrt(@temp2 - pow(@temp, 2))
+\begin_inset Quotes erd
+\end_inset
+
+
+\series default
+ then the variance will be calculated on the incoming flux of the field
+ 
+\series bold
+temp
+\series default
+ (given that field temp2 that holds the square of temp was correctly defined).
+ 
+\end_layout
+
+\begin_layout Subsection*
+unit (optional): 
+\emph on
+string
+\end_layout
+
+\begin_layout Standard
+Fortran: 
+\end_layout
+
+\begin_layout LyX-Code
 CHARACTER(LEN=*) :: unit
 \end_layout
 
 \begin_layout Standard
-Define the 
-\begin_inset Flex Strong
-status collapsed
-
-\begin_layout Plain Layout
-unit
-\end_layout
-
-\end_inset
-
- of the field.
- This attribute is optional.
-\end_layout
-
-\begin_layout Subsection*
-operation: enumeration
-\emph on
- { once, instant, average, maximum, minimum, accumulate }
+Defines the unit of a field.
+\end_layout
+
+\begin_layout Subsection*
+operation (mandatory): enumeration
+\emph on
+ {once, instant, average, maximum, minimum, accumulate}
 \end_layout
 
@@ -3012,10 +4152,9 @@
 
 \begin_layout Standard
-Define the temporal operation applied on the field.
- This attribute is optional, by default no operation is applied.
-\end_layout
-
-\begin_layout Subsection*
-freq_op: 
+Defines the temporal operation applied to a field.
+\end_layout
+
+\begin_layout Subsection*
+freq_op (optional): 
 \emph on
 duration
@@ -3031,6 +4170,6 @@
 
 \begin_layout Standard
-Define the frequency of the sampling for the temporal operation, so a field
- value will be used for temporal averaging every 
+Defines the sampling frequency of a temporal operation, so that field values
+ will be used for temporal sampling at frequency 
 \begin_inset Flex Strong
 status collapsed
@@ -3042,8 +4181,27 @@
 \end_inset
 
- time step.
- It is very useful for sub-processes called at different frequency in a
- model.
- This attribute is optional, the default value is 
+.
+ It is useful for sub-processes called at different frequency in a model.
+ The default value is equal to the file attribute 
+\begin_inset Flex Strong
+status collapsed
+
+\begin_layout Plain Layout
+output_freq
+\end_layout
+
+\end_inset
+
+ for 
+\begin_inset Flex Strong
+status collapsed
+
+\begin_layout Plain Layout
+instant
+\end_layout
+
+\end_inset
+
+ operations and 
 \begin_inset Flex Strong
 status collapsed
@@ -3055,9 +4213,9 @@
 \end_inset
 
-(1 time step).
-\end_layout
-
-\begin_layout Subsection*
-freq_offset: 
+ (1 time step) otherwise.
+\end_layout
+
+\begin_layout Subsection*
+freq_offset (optional): 
 \emph on
 duration
@@ -3073,5 +4231,5 @@
 
 \begin_layout Standard
-Define the offset when 
+Defines the offset when 
 \begin_inset Flex Strong
 status collapsed
@@ -3084,26 +4242,58 @@
 
  is defined.
- This attribute is optional, the default value is 
-\begin_inset Flex Strong
-status collapsed
-
-\begin_layout Plain Layout
-0ts
-\end_layout
-
-\end_inset
-
-(0 time step).
-\end_layout
-
-\begin_layout Standard
-\begin_inset Formula $0\leq freq\_offset<freq\_op$
-\end_inset
-
-
-\end_layout
-
-\begin_layout Subsection*
-level: 
+ Accepted values lie between 
+\series bold
+0
+\series default
+ and 
+\begin_inset Flex Strong
+status collapsed
+
+\begin_layout Plain Layout
+freq_op
+\end_layout
+
+\end_inset
+
+.
+ The default value is 
+\begin_inset Flex Strong
+status collapsed
+
+\begin_layout Plain Layout
+freq_op - 1ts
+\end_layout
+
+\end_inset
+
+ for fields in the 
+\begin_inset Flex Strong
+status collapsed
+
+\begin_layout Plain Layout
+write
+\end_layout
+
+\end_inset
+
+ mode and 
+\series bold
+0
+\series default
+ for fields in the 
+\begin_inset Flex Strong
+status collapsed
+
+\begin_layout Plain Layout
+read
+\end_layout
+
+\end_inset
+
+ mode.
+\end_layout
+
+\begin_layout Subsection*
+level (optional): 
 \emph on
 integer
@@ -3119,6 +4309,6 @@
 
 \begin_layout Standard
-Define the level of output of the field.
- A field will be output only if the file attribute
+Defines the output level of a field.
+ The field will be output only if the file attribute
 \begin_inset Flex Strong
 status collapsed
@@ -3135,5 +4325,5 @@
 
 .
- This attribute is optional, the default value is 
+ The default value is 
 \begin_inset Flex Strong
 status collapsed
@@ -3149,5 +4339,5 @@
 
 \begin_layout Subsection*
-prec: 
+prec (optional): 
 \emph on
 integer
@@ -3163,11 +4353,12 @@
 
 \begin_layout Standard
-Define the precision in byte of a field in an output file.
- Available value are: 2 (integer), 4 (float single precision) and 8 (float
+Defines the precision in bytes of a field in an output file.
+ Available values are: 2 (integer), 4 (float single precision) and 8 (float
  double precision).
-\end_layout
-
-\begin_layout Subsection*
-enabled: 
+ The default value of 8.
+\end_layout
+
+\begin_layout Subsection*
+enabled (optional): 
 \emph on
 bool
@@ -3183,6 +4374,6 @@
 
 \begin_layout Standard
-Define if a field must be output or not.
- This attribute is optional, the default value is 
+Defines if a field must be output or not.
+ The default value is 
 \begin_inset Flex Strong
 status collapsed
@@ -3198,5 +4389,5 @@
 
 \begin_layout Subsection*
-read_access: 
+check_if_active (optional): 
 \emph on
 bool
@@ -3208,10 +4399,32 @@
 
 \begin_layout LyX-Code
+LOGICAL :: check_if_active
+\end_layout
+
+\begin_layout Standard
+Sets a check if a field will be used at a given time step.
+ Activating the check may improve performance for fields which are not used
+ frequently, while it can detoriate performance for fields used at each
+ time step.
+ The default value is false.
+\end_layout
+
+\begin_layout Subsection*
+read_access (optional): 
+\emph on
+bool
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
 LOGICAL :: read_access
 \end_layout
 
 \begin_layout Standard
-Define whether a field can be read from the model or not.
- This attribute is optional, the default value is 
+Defines whether a field can be read from the model or not.
+ The default value is 
 \begin_inset Flex Strong
 status collapsed
@@ -3242,5 +4455,5 @@
 
 \begin_layout Subsection*
-field_ref: 
+field_ref (optional): 
 \emph on
 string
@@ -3256,14 +4469,13 @@
 
 \begin_layout Standard
-Define a field reference.
- All attributes are inherited from the referenced field after the classical
+Defines the field reference.
+ All attributes will be inherited from the referenced field via the classical
  inheritance mechanism.
- The value assigned to the referenced field is transmitted to to current
- field to perform temporal operation.
- This attribute is optional.
-\end_layout
-
-\begin_layout Subsection*
-grid_ref: 
+ The values assigned to the referenced field will be transmitted to the
+ current field to perform temporal operation.
+\end_layout
+
+\begin_layout Subsection*
+grid_ref (optional): 
 \emph on
 string
@@ -3279,11 +4491,50 @@
 
 \begin_layout Standard
-Define on which grid the current field is defined.
- This attribute is optional, if missing, domain_ref and axis_ref must be
- defining.
-\end_layout
-
-\begin_layout Subsection*
-domain_ref: 
+Defines the field grid.
+ Note that only either 
+\begin_inset Flex Strong
+status collapsed
+
+\begin_layout Plain Layout
+grid_ref
+\end_layout
+
+\end_inset
+
+ or a combination of 
+\begin_inset Flex Strong
+status collapsed
+
+\begin_layout Plain Layout
+domain_ref
+\end_layout
+
+\end_inset
+
+, 
+\begin_inset Flex Strong
+status collapsed
+
+\begin_layout Plain Layout
+scalar_ref
+\end_layout
+
+\end_inset
+
+ or 
+\begin_inset Flex Strong
+status collapsed
+
+\begin_layout Plain Layout
+axis_ref
+\end_layout
+
+\end_inset
+
+ can be specified.
+\end_layout
+
+\begin_layout Subsection*
+domain_ref (optional): 
 \emph on
 string
@@ -3299,6 +4550,6 @@
 
 \begin_layout Standard
-Define on which horizontal domain the current field is defined.
- This attribute is optional, but if this attribute is defined, 
+Defines the field domain.
+ If the attribute is defined, the attribute 
 \begin_inset Flex Strong
 status collapsed
@@ -3310,9 +4561,9 @@
 \end_inset
 
- must not be.
-\end_layout
-
-\begin_layout Subsection*
-axis_ref: 
+ must not be specified.
+\end_layout
+
+\begin_layout Subsection*
+axis_ref (optional): 
 \emph on
 string
@@ -3328,16 +4579,6 @@
 
 \begin_layout Standard
-Define on which vertical axis the current field is defined.
- This attribute is optional, but if this attribute is defined, 
-\begin_inset Flex Strong
-status collapsed
-
-\begin_layout Plain Layout
-domain_ref
-\end_layout
-
-\end_inset
-
- must be too and 
+Defines an axis for the current field.
+ If the attribute is defined, the attribute 
 \begin_inset Flex Strong
 status collapsed
@@ -3349,9 +4590,9 @@
 \end_inset
 
- must not.
-\end_layout
-
-\begin_layout Subsection*
-grid_path: 
+ must not be specified.
+\end_layout
+
+\begin_layout Subsection*
+scalar_ref (optional): 
 \emph on
 string
